import { Dialog, Portal, useTheme } from "react-native-paper";
import React, {useEffect} from "react";

interface LocationProps {
    visible: boolean;
}
const Location: React.FC<LocationProps> = ({ visible }) => {
    const theme = useTheme();

    useEffect(() => {
        if (visible) {

        }
    }, [visible]);
    return (
        <Portal>
            <Dialog visible={visible} >
                <Dialog.Title style={{ color: theme.colors.onBackground, textAlign: 'center', fontFamily: "Light"}}>Choose Your Location</Dialog.Title>
            </Dialog>
        </Portal>
    )
}

export default Location;
